summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgattrib-13
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 14:45:41 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:46 +0200
commita4fb1245079e71b662f222ff7b245da238e1739d (patch)
tree992272e540cb696862fe93357f93c971a644783f /gettext-tools/tests/msgattrib-13
parente5a5042f4253c4da2918f7b825627771a12a4b58 (diff)
downloadexternal_gettext-a4fb1245079e71b662f222ff7b245da238e1739d.zip
external_gettext-a4fb1245079e71b662f222ff7b245da238e1739d.tar.gz
external_gettext-a4fb1245079e71b662f222ff7b245da238e1739d.tar.bz2
Move tests/msgattrib-13 to gettext-tools/tests/msgattrib-13.
Diffstat (limited to 'gettext-tools/tests/msgattrib-13')
-rwxr-xr-xgettext-tools/tests/msgattrib-1395
1 files changed, 95 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgattrib-13 b/gettext-tools/tests/msgattrib-13
new file mode 100755
index 0000000..2fd98be
--- /dev/null
+++ b/gettext-tools/tests/msgattrib-13
@@ -0,0 +1,95 @@
+#! /bin/sh
+
+# Test --obsolete option.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles ma-test13.po"
+cat <<\EOF > ma-test13.po
+# HEADER.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: Bonnie Tyler\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: married-men:4
+#, fuzzy
+msgid "The world is full of married men"
+msgstr "So viele verheiratete Männer"
+
+#: married-men:5
+msgid "with wives who never understand"
+msgstr "und ihre Frauen verstehen sie nicht"
+
+#: married-men:6
+msgid "They're looking for someone to share"
+msgstr ""
+
+# schwer zu übersetzen...
+#: married-men:7
+msgid "the excitement of a love affair"
+msgstr ""
+
+#: married-men:8
+msgid "Just as soon as they find you"
+msgstr ""
+
+#: married-men:9
+msgid "They warn you and darn you"
+msgstr ""
+
+#~ msgid "You fly on the wings of romance"
+#~ msgstr "Die Flügel der frischen Liebe heben dich zum Himmel"
+
+#, fuzzy
+#~ msgid "In the eyes of the world"
+#~ msgstr "Für die anderen"
+
+# Etwas freie Übersetzung.
+#~ msgid "You're just another crazy girl"
+#~ msgstr "bist du bloß ein verrücktes dummes Ding"
+
+#~ msgid "Who loves a married man"
+#~ msgstr "das einen verheirateten Mann liebt"
+EOF
+
+tmpfiles="$tmpfiles ma-test13.out"
+: ${MSGATTRIB=msgattrib}
+${MSGATTRIB} --obsolete ma-test13.po -o ma-test13.out
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles ma-test13.ok"
+cat <<\EOF > ma-test13.ok
+# HEADER.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: Bonnie Tyler\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+msgid "You fly on the wings of romance"
+msgstr "Die Flügel der frischen Liebe heben dich zum Himmel"
+
+#, fuzzy
+msgid "In the eyes of the world"
+msgstr "Für die anderen"
+
+# Etwas freie Übersetzung.
+msgid "You're just another crazy girl"
+msgstr "bist du bloß ein verrücktes dummes Ding"
+
+msgid "Who loves a married man"
+msgstr "das einen verheirateten Mann liebt"
+EOF
+
+: ${DIFF=diff}
+${DIFF} ma-test13.ok ma-test13.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result